package ch.phoenixtechnologies.quarkus.commons.clock;

import io.quarkus.arc.DefaultBean;
import jakarta.enterprise.context.ApplicationScoped;
import java.time.Clock;
import java.time.Instant;

@DefaultBean
@ApplicationScoped
class ClockServiceImpl implements ClockService {

    private final Clock clock;

    ClockServiceImpl(Clock clock) {
        this.clock = clock;
    }

    @Override
    public Instant instant() {
        return clock.instant();
    }

    @Override
    public long currentTimeMillis() {
        return clock.millis();
    }
}
